/*
 *  ============================================================================
 *  GraphicsOperation.java: Definition and Management of the graphics operations
 *  and functionality, e.g., drawing a simple grid.
 *
 *  Written By : Mark Austin                                       November 2011
 *  ============================================================================
 */

public class GraphicsOperation {

    // Set boolean variables for supporting graphical operations ...

    private boolean border = false; // Flag for drawing perimeter border ...
    private boolean   grid = false; // Flag for drawing grid ...
    private boolean   snap = false; // Flag for snap-to-grid ...

    // Toggle flag for drawing perimeter border ....

    public void setDrawBorder () {
       if( border == false )
           border = true;
       else
           border = false;
    }

    // Toggle flag for drawing grid ....

    public void setDrawGrid () {
       if( grid == false )
           grid = true;
       else
           grid = false;
    }

    // Toggle flag for setting and retrieving grid snap ...

    public void setGridSnap () {
       if( snap == false ) {
           snap = true;
       } else {
           snap = false;
       }
    }

    // Methods to control grid setting ...

    public boolean getBorder() {
        return border;
    }

    public void setBorder( boolean border ) {
        this.border = border;
    }

    // Methods to switch grid display ....

    void setBorderOn()  {
       border = true;
    }

    void setSetBorderOff() {
       border = false;
    }

    // Methods to control grid setting ...

    public boolean getGrid() {
        return grid;
    }

    public void setGrid( boolean grid ) {
        this.grid = grid;
    }

    // Methods to switch grid display ....

    void setGridOn()  {
       grid = true;
    }

    void setGridOff() {
       grid = false;
    }
}
