/**
  *  ==========================================================================
  *  RectangleShape.java: Construct a rectangle shape centered at the centroid.
  *
  *  ==========================================================================
  */

package shape;

import java.awt.*;
import java.awt.geom.*;

public class RectangleShape extends CompoundShape {

   public RectangleShape( int x, int y, int width, int height ) {

      // Save corner reference point and width of shape ...

      this.x      = (double) (x - ((double) (width/2)));
      this.y      = (double) (y + ((double) (height/2)));
      this.width  = (double)  width;
      this.height = (double) height;

      // Now create shape with x = y = 0....

      Rectangle2D.Double rect = new Rectangle2D.Double( 0.0, 0.0, (double) width, (double) height );

      add(rect);
   }
}
